/// <reference types="node" />
import * as puppeteer from 'puppeteer';
import { PdfContentWithSlots, PdfContent } from './types';
export interface MkPdfOptions {
    puppeteer?: puppeteer.LaunchOptions;
}
export interface HtmlToPdfConverter {
    mkCompoundPdf: (contents: PdfContentWithSlots[]) => Promise<Buffer>;
    mkPdf: (content: PdfContent) => Promise<Buffer>;
    destroy: () => Promise<void>;
}
export declare const initialize: (options?: MkPdfOptions) => Promise<HtmlToPdfConverter>;
