/// <reference types="node" />
import { PrintMargin, TextSlot, SlotType, PageSize } from './types';
export interface AddFooterArgs {
    pdfBuffer: Buffer;
    margin: PrintMargin;
    txt: TextSlot;
    startPageNum: number;
    endPageNum: number;
    totalPagesCount: number;
}
export declare const addFooter: (args: AddFooterArgs) => Buffer;
export declare const mergePdfs: (target: Buffer, source: Buffer, margin: PrintMargin, type: SlotType, slotSize: PageSize) => Buffer;
export declare const appendPageToPdf: (target: Buffer, source: Buffer, sourcePageIndex: number) => Buffer;
export declare const appendPdfs: (sources: Buffer[]) => Buffer;
export declare const getPagesCount: (pdfBuffer: Buffer) => number;
