/// <reference types="node" />
import * as puppeteer from 'puppeteer';
import { PrintMargin, PageSize } from './types';
export declare const getBodySize: (page: puppeteer.Page) => Promise<PageSize>;
export declare const mkSizedPdf: (html: string, page: puppeteer.Page, size: PageSize, margin?: PrintMargin) => Promise<Buffer>;
export declare const calcContentSize: (html: string, pageSize: PageSize, margin: PrintMargin, page: puppeteer.Page) => Promise<PageSize>;
