"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// https://github.com/chrvadala/transformation-matrix
exports.translate = (x, y) => [1, 0, 0, 1, x, y];
/**
 * < 1 scale down
 * > 1 scale up
 * @param x scale along the x axis
 * @param y scale along the y axis
 */
exports.scale = (x, y) => [
    x,
    0,
    0,
    y,
    0,
    0,
];
//# sourceMappingURL=transform-matrix.js.map