/// <reference types="node" />
import { ReadStream } from 'hummus';
export declare class ReadStreamForBuffer implements ReadStream {
    private buffer;
    private position;
    constructor(buffer: Buffer);
    read(inAmount: number): number[];
    notEnded(): boolean;
    setPosition(position: number): void;
    setPositionFromEnd(position: number): void;
    skip(amount: number): void;
    getCurrentPosition(): number;
}
